# Internal Service Config

This package provides all internal services names and their configurations.

## Available services names

##### Note: DO NOT FORGET TO UPDATE THIS LIST AFTER ADDING NEW SERVICE CONFIGS.

```
account-refferals
api
charts-manager
cluster-provider
context-manager
dind-provider
kube-integration
payments
pipeline-manager
runtime-environment-manager
hermes
```

## Services configs resolution

Services configs are resolved from file names in camel case inside the `./services` dir. 

For example, these files:

```
api.js
charts-manager.js
pipeline-manager.js
trigger-manager.js
```

Will become:

```ecmascript 6
{ 
    services: { 
        api: { uri: 'local.codefresh.io', port: 9007, protocol: 'http' },
        chartsManager: { uri: 'local.codefresh.io', port: 9009, protocol: 'http' },
        pipelineManager: { uri: 'local.codefresh.io', port: 9010, protocol: 'http' },
        triggerManager: { uri: 'local.codefresh.io', port: 9011, protocol: 'http' } 
    } 
}
```

## Usage

### Retrieving service config

Using `@codefresh-io/internal-service-config`:

```ecmascript 6
const { services } = require('@codefresh-io/internal-service-config');

const pipelineManagerConfig = services.pipelineManager
```
