'use strict';

const fs = require('fs');
const path = require('path');
const dir = fs.readdirSync(path.join(__dirname, 'services'));
const _ = require('lodash');

const SERVICES = {};
const NAMES = require('./names');

dir.map((serviceFilename) => {
    const serviceName = _.chain(serviceFilename)
        .replace('.js', '')
        .camelCase()
        .value();
    SERVICES[serviceName] = require(`./services/${serviceFilename}`);
});

const internalServiceConfig = {
    services: SERVICES,
    names: NAMES,
    nameExists: (name) => {
        return _.values(NAMES).includes(name)
    }
};

module.exports = internalServiceConfig;
